Bug 817788 - [abrt] kernel: kernel BUG at fs/buffer.c:3187!
[abrt] kernel: kernel BUG at fs/buffer.c:3187!
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-05-01 06:08 EDT by Luke Ataera
Modified: 2012-11-14 12:03 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-11-14 12:03:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Luke Ataera 2012-05-01 06:08:58 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.3.2-6.fc16.i686 root=/dev/mapper/vg_lukeslaptop1-lv_root ro rd.lvm.lv=vg_lukeslaptop1/lv_swap rd.dm=0 KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.md=0 rd.luks=0 rd.lvm.lv=vg_lukeslaptop1/lv_root LANG=en_US.UTF-8
comment:        I was copying files from my laptop to an external HDD, then out of nowhere my screen went black and had what I would call the equivalent of the MS blue screen only black with white writing. To be completely honest I have no idea what caused this.
kernel:         3.3.2-6.fc16.i686
reason:         kernel BUG at fs/buffer.c:3187!
time:           Tue 01 May 2012 22:01:29 NZST

:kernel BUG at fs/buffer.c:3187!
:invalid opcode: 0000 [#1] SMP 
:Modules linked in: usb_storage tcp_lp ppdev parport_pc lp parport fuse be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio fcoe 8021q garp stp llc ib_iser rdma_cm ib_cm lockd iw_cm ib_sa ib_mad ib_core ib_addr libfcoe iscsi_tcp libiscsi_tcp libfc scsi_transport_fc scsi_tgt libiscsi scsi_transport_iscsi nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_REJECT nf_conntrack_ipv6 nf_conntrack_ipv4 nf_defrag_ipv6 nf_defrag_ipv4 xt_state nf_conntrack ip6table_filter ip6_tables uvcvideo videobuf2_core videodev media videobuf2_vmalloc snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device i2c_i801 arc4 videobuf2_memops iTCO_wdt iTCO_vendor_support snd_pcm rt2800pci rt2800lib crc_ccitt rt2x00pci rt2x00lib mac80211 snd_timer snd cfg80211 rfkill eeprom_93cx6 serio_raw soundcore microcode snd_page_alloc r8169 mii uinput binfmt_misc sunrpc i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 26, comm: kswapd0 Not tainted 3.3.2-6.fc16.i686 #1 Intel Corporation Corbett Park/Corbett Park CRB
:EIP: 0060:[<c055dc6a>] EFLAGS: 00010287 CPU: 0
:EIP is at free_buffer_head+0x2a/0x30
:EAX: c683d428 EBX: c683d428 ECX: 00000000 EDX: c683d450
:ESI: f4820d4c EDI: 00000001 EBP: f4ec1d08 ESP: f4ec1d08
: DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
:Process kswapd0 (pid: 26, ti=f4ec0000 task=f4cf3ed0 task.ti=f4ec0000)
: f4ec1d20 c055dcd2 c683d428 c2bfe000 00000000 f4ec1e08 f4ec1d30 c0563435
: f5931ba0 00000000 f4ec1d40 c04e8c4a f5931bb4 f4ec1f58 f4ec1dd0 c04f99ab
: f4ec1dc0 f4ec1d60 f4ec1d64 c052e158 f59339f4 f4c454e0 f4cf3ed0 f4cf3ed0
:Call Trace:
: [<c055dcd2>] try_to_free_buffers+0x62/0xa0
: [<c0563435>] blkdev_releasepage+0x45/0x50
: [<c04e8c4a>] try_to_release_page+0x3a/0x60
: [<c04f99ab>] shrink_page_list+0x63b/0x7d0
: [<c052e158>] ? mem_cgroup_lru_del_list+0x28/0xa0
: [<c04f80b4>] ? update_isolated_counts+0x114/0x150
: [<c04f9ebe>] shrink_inactive_list+0x14e/0x460
: [<c04fa5b4>] shrink_mem_cgroup_zone+0x3e4/0x5a0
: [<c052cb26>] ? mem_cgroup_iter+0xb6/0x210
: [<c04fa7d6>] shrink_zone+0x66/0x80
: [<c04faba8>] kswapd+0x3b8/0x8f0
: [<c0455970>] ? remove_wait_queue+0x40/0x40
: [<c04fa7f0>] ? shrink_zone+0x80/0x80
: [<c04551a2>] kthread+0x72/0x80
: [<c0455130>] ? kthread_freezable_should_stop+0x60/0x60
: [<c09360fe>] kernel_thread_helper+0x6/0x10
:Code: 00 55 89 e5 3e 8d 74 26 00 8d 50 28 39 50 28 75 1a 89 c2 a1 f4 f7 d3 c0 e8 b4 61 fc ff 64 ff 0d 80 28 c5 c0 e8 18 ff ff ff 5d c3 <0f> 0b 8d 74 26 00 55 89 e5 57 56 53 83 ec 04 3e 8d 74 26 00 8b 
:EIP: [<c055dc6a>] free_buffer_head+0x2a/0x30 SS:ESP 0068:f4ec1d08

:UUID: 41c10203-4077-48c4-9ba5-bd9ef7d427a2
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: i686
:BogoMIPS: 3600.19
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Atom(TM) CPU D425   @ 1.80GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 28
:Number of CPUs: 2
:CPU Speed: 1800
:System Memory: 993
:System Swap: 2015
:Vendor: Intel Corporation
:System: Corbett Park Revision A
:Form factor: Other
:Kernel: 3.3.2-6.fc16.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:(32902:10172:32902:10160) pci, None, PCI/ISA, NM10 Family LPC Controller
:(4332:33078:4332:33078) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(32902:40961:32902:40961) pci, i915, VIDEO, N10 Family Integrated Graphics Controller
:(32902:40962:32902:40961) pci, None, VIDEO, N10 Family Integrated Graphics Controller
:(32902:10192:32902:10192) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:32902:10194) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(6164:12432:6164:12432) pci, rt2800pci, NETWORK, RT3090 Wireless 802.11n 1T/1R PCIe
:(32902:10200:0:0) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10176:32902:10176) pci, ata_piix, STORAGE, N10/ICH7 Family SATA IDE Controller
:(32902:10196:32902:10196) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 3
:(32902:10202:32902:10202) pci, i801_smbus, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:9288:32902:9294) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10198:32902:10198) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 4
:(32902:10185:32902:10185) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:32902:10184) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:40960:32902:40960) pci, agpgart-intel, HOST/PCI, N10 Family DMI Bridge
:(32902:10186:32902:10186) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10187:32902:10187) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:32902:10188) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:Filesystem Information
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:/dev/mapper/vg_lukeslaptop1-lv_root / ext4 4096 4096 13092026 10987224 10856192 3276800 3101683 3101683
:/dev/sda2 /boot ext4 1024 1024 508745 413401 387801 128016 127783 127783
:/dev/mapper/vg_lukeslaptop1-lv_home /home ext4 4096 4096 25274305 2273967 1008303 6332416 6299124 6299124
Comment 1 Dave Jones 2012-10-23 11:40:08 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 2 Justin M. Forbes 2012-11-14 12:03:37 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.